Skip to content

Updates

Changelog of Amplify API additions and behavior changes.

Aug 13, 2026

New: Brand Logo

You can now read and set a brand logo via the API. A new logoMetadata field has been added to the Marketer entity, and to the PromotedLink entity so an individual ad can carry its own logo. The logo will render on placements that support it.

Feb 1, 2026

New: Section Volume Control for CBS Campaigns

You can now provide feedback on individual section performance for your CBS Auto mode campaigns (tROAS, tCPA, Max Conversion). This allows you to increase or decrease traffic volume from specific sections based on your own external data, such as LTV or ROAS. A new volumeControl object has been added to the Campaign entity to manage these adjustments.

Jan 4, 2026

Enhanced Publisher and Section Exclusion Experience

We are introducing a new publisher and section exclusion experience that allows advertisers to apply temporary or permanent blocks, either individually or in bulk. This update provides clearer visibility, predictable behavior, and the ability to easily undo or adjust exclusions via the API.

Why This Matters

Publisher traffic can spike temporarily due to breaking news or viral events, attracting audiences that may not align with advertiser intent. During these periods, campaigns often generate clicks with few conversions, inflating costs.

Temporary exclusions allow you to pause this inventory while the news cycle is active. The system then automatically reintroduces the inventory once traffic normalizes—avoiding the need for unnecessary permanent blocks.

Technical Implementation: New expiration Field under blockedSites

To enable temporary blocking, we have added a new optional field named expiration to both the blockedPublishers and blockedSections objects under blockedSites.

Key Functionalities

  • Auto-Expiration: Temporary exclusions automatically expire and reintroduce inventory without alerts.
  • Re-activation: You can now update settings for sections that were previously Permanently blocked, overriding the original exclusion state.
  • Inheritance: Duplicated campaigns will inherit the existing exclusion states (Temporary or Permanent) of the original campaign.

Important Notes

  • Reporting: History changes will now track the distinction between permanent and temporary exclusions.
  • CSV Limitation: Exclusions uploaded via CSV files remain Permanent by default at this time (the expiration field is not yet supported in CSV uploads).
Action Required

Review your current blocking logic. If you wish to utilize temporary blocking for viral events, update your integration to populate the expiration field in your blockedPublishers and blockedSections payloads.

Oct 16, 2025

Upcoming Change to Minimum Campaign Budget Effective November 3rd 2025

To help increase campaign performance and ensure new campaigns can generate results in a timely fashion, we are adjusting the minimum required budget. This change will ensure campaigns have sufficient daily spend for our optimization systems to function effectively ######Summary of the Change

  • What: The minimum daily budget for a new campaign will be increased from $20.00 to $25.00 USD.
  • Effective Date: This change will take effect on November 3rd 2025
  • Scope: This change applies only to newly created campaigns. Existing campaigns with budgets under $25.00 will continue to run without any interruption or required changes.

How This Affects You

Starting November 3rd, 2025, any API call to the POST /budgets endpoint will enforce the following rules:

  • If type = "DAILY", then amount must be greater than or equal to 25.
  • If type = "MONTHLY", then amount must be greater than or equal to 750.
  • If type = "CAMPAIGN", then amount must be greater than or equal to 25 x number of campaign days.

Additionally:

  • Any API call to the PUT /budgets endpoint to update campaigns created after November 3rd, 2025, will have the same enforcement rules outlined above.

Important Note: Daily limits for other currencies are exposed via the GET /currencies endpoint.

######Action Required Please review your budget and campaign creation and update logic and ensure that any new campaigns are created with a daily budget of at least $25.00. We recommend making this update in your integration before the effective date to ensure a smooth transition.

Jul 8, 2025

New Performance Report Endpoint - Marketers Report

You can now retrieve performance reporting aggregated by Marketers aggregation, using your primary account ID.

To obtain your primary account ID, use the Marketer Entity with the extraFields=Account param.

Dec 22, 2024

New Filter Added to reporting endpoints: enabledCampaignsOnly

You can now filter data to include only active campaigns by using the enabledCampaignsOnly field when using our reporting endpoints (promoted content, Periodic, publishers, sections etc).

  • Current Default Value: false
  • Future Default Value: true (effective end of January 2025)

Please note that while the current default value for enabledCampaignsOnly is false, it will change to true by the end of January 2025.

Sep 22, 2024

New Recommendation Field for CBS Auto modes campaigns - maxCpcRecommendation

You can now get an indication if our algo wants to bid higher than the specified "max average CPC" (or "bid cap" in old versions) on auto mode campaigns.

Similar to the data provided on Amplify dashboard, where you can see if the algorithm wants to bid higher than the specified max CPC, you can now access this indication via the API.